diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/sb1000.c linux-2.5/drivers/net/sb1000.c
--- bk-linus/drivers/net/sb1000.c	2002-11-21 02:16:26.000000000 +0000
+++ linux-2.5/drivers/net/sb1000.c	2002-11-21 17:59:28.000000000 +0000
@@ -220,17 +220,11 @@ sb1000_probe(struct net_device *dev)
 				"S/N %#8.8x, IRQ %d.\n", dev->name, dev->base_addr,
 				dev->mem_start, serial_number, dev->irq);
 
-		dev = init_etherdev(dev, 0);
+		dev = init_etherdev(dev, sizeof(struct sb1000_private));
 		if (!dev)
 			return -ENOMEM;
 		SET_MODULE_OWNER(dev);
 
-		/* Make up a SB1000-specific-data structure. */
-		dev->priv = kmalloc(sizeof(struct sb1000_private), GFP_KERNEL);
-		if (dev->priv == NULL)
-			return -ENOMEM;
-		memset(dev->priv, 0, sizeof(struct sb1000_private));
-
 		if (sb1000_debug > 0)
 			printk(KERN_NOTICE "%s", version);
 
